﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Word;
using System.Diagnostics;

namespace WindowsFormsApplication156
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CreateTableImageCell(SystemIcons.Asterisk.ToBitmap());
        }

        //WordDocumentWriter writer = WordDocumentWriter.Create("doc.docx");
        private void CreateTableImageCell(Image img)
        {
            //TableCellProperties _centercellprops = writer.CreateTableCellProperties();
            //writer.StartTableCell(_centercellprops);
            //writer.StartParagraph();
            
            //writer.EndParagraph();
            //writer.EndTableCell();

            WordDocumentWriter writer = WordDocumentWriter.Create("doc.docx");
            writer.StartDocument();

            // Create border properties for Table
            TableBorderProperties borderProps = writer.CreateTableBorderProperties();
            borderProps.Color = Color.Red;
            borderProps.Style = TableBorderStyle.Double;
            // Create table properties
            TableProperties tableProps = writer.CreateTableProperties();
            tableProps.Alignment = ParagraphAlignment.Center;
            tableProps.BorderProperties.Color = borderProps.Color;
            tableProps.BorderProperties.Style = borderProps.Style;
            // Create table row properties
            TableRowProperties rowProps = writer.CreateTableRowProperties();
            //Make the row a Header
            rowProps.IsHeaderRow = true;
            // Create table cell properties
            TableCellProperties cellProps = writer.CreateTableCellProperties();
            cellProps.BackColor = Color.DarkGray;
            cellProps.TextDirection = TableCellTextDirection.LeftToRightTopToBottom;
            
            // Begin a table with 2 columns, and apply the table properties
            writer.StartTable(2, tableProps);
            // Begin a Row and apply table row properties
            // This row will be set as the Header row by the row properties
            // HEADER ROW
            writer.StartTableRow(rowProps);
            // Cell Value for 1st row 1st column
            // Start a Paragraph and add a text run to the cell
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("Header Row1 Col1");
            writer.EndParagraph();
            writer.EndTableCell();
            // Cell value for 1st row 2nd column
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("Header Row1 Col2");
            writer.AddInlinePicture(img);
            writer.EndParagraph();
            writer.EndTableCell();
            // End the Table Row
            writer.EndTableRow();

            // Reset the cell properties, so that the
            // cell properties are different from the header cells.
            cellProps.Reset();
            cellProps.BackColor = Color.AliceBlue;

            // DATA ROW
            writer.StartTableRow();
            // Cell Value for 2nd row 1st column
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("A paragraph is a series of sentences that are organized and coherent, and are all related to a single topic. ");
            writer.EndParagraph();
            writer.EndTableCell();
            // Cell Value for 2nd row 2nd column
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("Row2 Col2");
            writer.EndParagraph();
            writer.EndTableCell();
            writer.EndTableRow();
            // DATA ROW
            writer.StartTableRow();
            // Cell Value for 3rd row 1st column
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("Row3 Col1");
            writer.EndParagraph();
            writer.EndTableCell();
            // Cell Value for 3rd row 2nd column
            writer.StartTableCell(cellProps);
            writer.StartParagraph();
            writer.AddTextRun("Row3 Col2");
            writer.EndParagraph();
            writer.EndTableCell();
            writer.EndTableRow();
            writer.EndTable();
            writer.EndDocument();
            // Close the WordDocumentWriter instance.
            writer.Close();

            Process.Start("doc.docx");
        }
    }
}
